Debian Bug report logs - #194749
[PR 11054] [3.3 regression] [m68k] ICE in reg_overlap_mentioned_p

version graph

Package: gcc-3.3; Maintainer for gcc-3.3 is Philipp Kern <pkern@debian.org>;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Mon, 26 May 2003 11:33:02 UTC

Severity: normal

Tags: upstream

Found in version 3.3-2

Fixed in version gcc-3.3/1:3.3.1ds0-0pre0

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR11054

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#194749; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: submit@bugs.debian.org
Subject: gcc-3.3: [m68k] ICE while building sane-backends 1.0.12-1
Date: Mon, 26 May 2003 13:23:08 +0200
Package: gcc-3.3
Version: 3.3-2

gcc-3.3 fails to build sane-backends 1.0.12-1 on m68k with the
following internal error :

gcc -c -g -O2 -W -Wall -DHAVE_CONFIG_H -I. -I. -I../include -I../include -DPATH_SANE_CONFIG_DIR=/etc/sane.d -DPATH_SANE_DATA_DIR=/usr/share -DV_MAJOR=1 -DV_MINOR=0 -DBACKEND_NAME=dc25 -DLIBDIR=/usr/lib/sane dc25.c -o dc25.o
dc25.c:213: warning: dereferencing type-punned pointer will break strict-aliasing rules
dc25.c:310: warning: dereferencing type-punned pointer will break strict-aliasing rules
dc25.c:323: warning: dereferencing type-punned pointer will break strict-aliasing rules
dc25.c: In function `get_info':
dc25.c:616: internal compiler error: in reg_overlap_mentioned_p, at rtlanal.c:1543

-save-temps output available from
<http://people.debian.org/~jblache/gcc/dc25.i.bz>

Building with -O1 or with gcc-3.2 (3.2.3-2) works fine. The same file
compiled with -fPIC gives no error.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR11054. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#194749; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 194749-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 194749-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #194749 to gcc-gnats as PR 11054
Date: Sun, 01 Jun 2003 15:53:38 +0200
# submitted Debian report #194749 to gcc-gnats as PR 11054
# http://gcc.gnu.org/PR11054

forwarded 194749 http://gcc.gnu.org/PR11054
retitle 194749 [PR 11054] [3.3 regression] [m68k] ICE in reg_overlap_mentioned_p
tags 194749 + upstream
thanks



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 194749-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 194749-close@bugs.debian.org
Subject: Bug#194749: fixed in gcc-3.3 1:3.3.1ds0-0pre0
Date: Fri, 27 Jun 2003 06:17:37 -0400
We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.1-0pre0_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.1-0pre0_all.deb
cpp-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.1-0pre0_i386.deb
fastjar_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.1-0pre0_i386.deb
fixincludes_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.1-0pre0_i386.deb
g++-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.1-0pre0_i386.deb
g77-3.3-doc_3.3.1-0pre0_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.1-0pre0_all.deb
g77-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.1-0pre0_i386.deb
gcc-3.3-base_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.1-0pre0_i386.deb
gcc-3.3-doc_3.3.1-0pre0_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.1-0pre0_all.deb
gcc-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1-0pre0_i386.deb
gcc-3.3_3.3.1ds0-0pre0.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds0-0pre0.diff.gz
gcc-3.3_3.3.1ds0-0pre0.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds0-0pre0.dsc
gcc-3.3_3.3.1ds0.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds0.orig.tar.gz
gcj-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.1-0pre0_i386.deb
gij-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.1-0pre0_i386.deb
gnat-3.3-doc_3.3.1-0pre0_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.1-0pre0_all.deb
gnat-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.1-0pre0_i386.deb
gobjc-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.1-0pre0_i386.deb
gpc-2.1-3.3-doc_3.3.1.20030507-0pre0_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.1.20030507-0pre0_all.deb
gpc-2.1-3.3_3.3.1.20030507-0pre0_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.1.20030507-0pre0_i386.deb
libffi2-dev_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.1-0pre0_i386.deb
libffi2_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.1-0pre0_i386.deb
libg2c0_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.1-0pre0_i386.deb
libgcc1_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.1-0pre0_i386.deb
libgcj-common_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.1-0pre0_i386.deb
libgcj4-dev_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.1-0pre0_i386.deb
libgcj4_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.1-0pre0_i386.deb
libobjc1_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.1-0pre0_i386.deb
libstdc++5-3.3-dbg_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.1-0pre0_i386.deb
libstdc++5-3.3-dev_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.1-0pre0_i386.deb
libstdc++5-3.3-doc_3.3.1-0pre0_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.1-0pre0_all.deb
libstdc++5-3.3-pic_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.1-0pre0_i386.deb
libstdc++5_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.1-0pre0_i386.deb
protoize_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.1-0pre0_i386.deb
treelang-3.3_3.3.1-0pre0_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.1-0pre0_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 194749@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Jun 2003 00:14:43 +0200
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar lib64gnat3.15 fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc
Architecture: source i386 all
Version: 1:3.3.1ds0-0pre0
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library development
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 186185 193049 194330 194749 195237 195424 196091 196271 196744 196915 197099 197613
Changes: 
 gcc-3.3 (1:3.3.1ds0-0pre0) unstable; urgency=medium
 .
   * Update to gcc-3.3.1 CVS 20030626.
     - Fix ICE on arm compiling xfree86 (closes: #195424).
     - Fix ICE on arm compiling fftw (closes: #186185).
     - Fix ICE on arm in change_address_1, affecting a few packages.
       Closes: #197099.
     - Fix ICE in merge_assigned_reloads building Linux 2.4.2x sched.c.
       Closes: #195237.
     - Do not warn about failing to inline functions declared in system headers.
       Closes: #193049.
     - Fix ICE on mips{,el} in propagate_one_insn (closes: #194330, #196091).
     - Fix ICE on m68k in reg_overlap_mentioned_p (closes: #194749).
     - Build crtbeginT.o on m68k (closes: #197613).
   * Fix g++ man page symlink (closes: #196271).
   * mips/mipsel: Depend on binutils (>= 2.14.90.0.4). Closes: #196744.
   * Disable treelang on powerpc (again). Closes: #196915.
   * Pass -encoding in gcj-wrapper.
Files: 
 881971a0b3bc8c0b8949eb97ed6b261d 2365 devel standard gcc-3.3_3.3.1ds0-0pre0.dsc
 11143a88a6acfdb57a7d0b8b39279473 22219831 devel standard gcc-3.3_3.3.1ds0.orig.tar.gz
 1702e25839948c25b4060162c8fca414 2193500 devel standard gcc-3.3_3.3.1ds0-0pre0.diff.gz
 6ee855e5d75def35cbe5f3185d85bb62 82898 doc optional cpp-3.3-doc_3.3.1-0pre0_all.deb
 3b3511c9f2fe1ea243201979f7796deb 3130708 doc optional libstdc++5-3.3-doc_3.3.1-0pre0_all.deb
 4320fd78bd0dbc41a57fb90b00835097 268826 doc optional g77-3.3-doc_3.3.1-0pre0_all.deb
 cfb754b028256f2bed0743cd060770c1 349004 doc optional gnat-3.3-doc_3.3.1-0pre0_all.deb
 9f88ad580447333924998786d247f115 796418 doc optional gpc-2.1-3.3-doc_3.3.1.20030507-0pre0_all.deb
 15707da327c6f78ba4c9557a9d804b22 595910 doc optional gcc-3.3-doc_3.3.1-0pre0_all.deb
 efbf2ffd1d7e4c64d4f494ed2e14ea09 139848 devel important gcc-3.3-base_3.3.1-0pre0_i386.deb
 d0a9e29f8f4e51f9b5cf9af4ac2d7a28 69002 libs important libgcc1_3.3.1-0pre0_i386.deb
 a855e8d271f6609611167caacf31deee 1309152 interpreters standard cpp-3.3_3.3.1-0pre0_i386.deb
 d0624e1c1ff79dc357bcc3c132c550f1 22632 devel optional protoize_3.3.1-0pre0_i386.deb
 c30e156f9891f7b21e105f73d89fef41 47202 devel optional fixincludes_3.3.1-0pre0_i386.deb
 2d0b276d9ff11912a3e71a5ed2336057 1382302 devel optional gobjc-3.3_3.3.1-0pre0_i386.deb
 b9ff7512cbf31fef9daa03fa3f58f6d8 125134 libs optional libobjc1_3.3.1-0pre0_i386.deb
 cc829e9a31e8d710b37ea029c3b6242e 12916 devel optional gij-3.3_3.3.1-0pre0_i386.deb
 1623dcde708b26ae715f20c786667a6f 4011864 libs optional libgcj4_3.3.1-0pre0_i386.deb
 cd8db3bc4c4bc6aa1cb3ecd6f06372b0 54804 libs optional libgcj-common_3.3.1-0pre0_i386.deb
 ba1190176faeb9bc28be13f4bb46c32e 1606890 devel optional gcj-3.3_3.3.1-0pre0_i386.deb
 44e4320844f6f04fa5ab87c2f4f154c2 4828086 libdevel optional libgcj4-dev_3.3.1-0pre0_i386.deb
 e3f94bd4dfe389b59baa24be884cea92 112396 devel extra fastjar_3.3.1-0pre0_i386.deb
 0a1e8a17b54d4d6dae113099bd1628b4 65012 libs optional libffi2_3.3.1-0pre0_i386.deb
 20bb0a7bd4bcc0c2ee399f011b07fc2b 10738 libdevel optional libffi2-dev_3.3.1-0pre0_i386.deb
 3ecd5b504cee4889d5dfcd543bc45374 1675044 devel standard g++-3.3_3.3.1-0pre0_i386.deb
 1b06514a6c8abbdf5ef4eb5ed7fd1a7d 268452 base important libstdc++5_3.3.1-0pre0_i386.deb
 7f7bbf4e2462bf0999429d80b05d5344 752448 libdevel standard libstdc++5-3.3-dev_3.3.1-0pre0_i386.deb
 3fec6876bac7c9dd28faab01244c2922 309964 libdevel extra libstdc++5-3.3-pic_3.3.1-0pre0_i386.deb
 8368f929113a42397bfc56c591b04428 4998184 libdevel extra libstdc++5-3.3-dbg_3.3.1-0pre0_i386.deb
 3dc88fb0a7b267f238ee77d2b4da86ff 47264 libs optional libg2c0_3.3.1-0pre0_i386.deb
 c25b3a5e7732fda66881c37c5d5829a7 1513468 devel optional g77-3.3_3.3.1-0pre0_i386.deb
 c4b9e16c780d8fe30326d946043ecedc 6108050 devel optional gnat-3.3_3.3.1-0pre0_i386.deb
 4f212625d7d28545889cf33d4325ba79 1240320 devel optional treelang-3.3_3.3.1-0pre0_i386.deb
 0b3237f8dec8d8154de45944a3d103c8 1939996 devel optional gpc-2.1-3.3_3.3.1.20030507-0pre0_i386.deb
 ab1eedcc4fa0a3c82424d1cafd0d2544 1293828 devel standard gcc-3.3_3.3.1-0pre0_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+/ABqStlRaw+TLJwRAndyAKCr64NYPepYsln+WlcpSHH9imoiBgCdFuXn
dk/ZfCpPMQ4y23XT2Nm2k3c=
=DHRY
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:13:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.